System.Runtime.Remoting 2.0.0.0 System.Object System.Runtime.Remoting.Channels.IChannelReceiver System.Runtime.Remoting.Channels.IChannelSender

Channels are used by the.NET Framework remoting infrastructure to transport remote calls. When a client calls a remote object, the call is serialized into a message that is sent by a client channel and received by a server channel. After the message is received, it is deserialized and processed. Any returned values are transmitted by the server channel and received by the client channel.

The class is a convenience class combining the functionality of the class and the class.

When setting the exclusiveAddressUse property to false in the argument, several objects can be registered for the same named pipe. In such a case requests can go to any of the channels registered. This setting is considered secure only if ALCs are also used.

Provides a channel implementation that uses the IPC protocol to transmit messages.

- Constructor
  To be added.

  Initializes a new instance of the class, activating only a client channel, and not a server channel.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with a server channel that listens on the specified IPC port.

  The name of the IPC port.
  2.0.0.0
- Constructor

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

  Channel sinks provide a plug-in point that allows access to the underlying messages flowing through the channel as well as the stream used by the transport mechanism to send messages to a remote object. Channel sinks are also responsible for transporting messages between the client and the server. Channel sinks are linked together in a chain, and all channel messages flow through this chain of sinks before the message is finally serialized and transported. If you do not require sink functionality, set the and parameters to null.

  When setting the exclusiveAddressUse property to false in the argument, several objects can be registered for the same named pipe. In such a case requests can go to any of the channels registered. This setting is considered secure only if ALCs are also used.

  Initializes a new instance of the class with the specified configuration properties and sinks.

  A collection specifying values for configuration properties to be used by the client and server channels.
  The implementation to be used by the client channel.
  The implementation to be used by the server channel.
  2.0.0.0
- Property
  System.Object To be added.

  Although returned as an instance of , the value of this property can be cast to an instance of describing the channel to which the object listens.

  Gets the channel-specific data.

  2.0.0.0
- Property
  System.String To be added.

  Every registered channel has a unique name. The name is used to retrieve a specific channel when calling . The default name is "ipc".

  Gets the name of the current channel.

  2.0.0.0
- Property
  System.Int32 To be added.

  The default priority is 20.

  Gets the priority of the current channel.

  2.0.0.0
- Method
  System.Runtime.Remoting.Messaging.IMessageSink `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String[] `` To be added.

  This method is used by .

  Returns an array of all the URLs for an object with the specified URI, hosted on the current .

  An array of the URLs for an object with the specified URI, hosted on the current .

  2.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  It is not necessary to call this method to begin listening on a newly initialized channel.

  Use this method to restart listening on a channel after the method has been called.

  The parameter can be used to pass a specific initialization state to the channel. If you do not want to pass a specific state to the channel, set to null.

  Instructs the current channel to start listening for requests.

  Optional initialization information. 2.0.0.0
- Method
  System.Void ``

  Use this method to stop listening on a channel. To restart listening, use the method.

  The parameter can be used to pass a specific initialization state to the channel. If you do not want to pass a specific state to the channel, set to null.

  Instructs the current channel to stop listening for requests.

  Optional state information for the channel. 2.0.0.0